<?php

	error_reporting(E_ALL & ~E_NOTICE);

$pageLayout['full'] = <<<'FULL'
<!DOCTYPE html>
<html lang="nl">
  <head>
    <meta charset="utf-8" />
    <title>lucidAuth</title>
	<meta name="application-name" content="lucidAuth" />
	<meta name="theme-color" content="#003399" />
	<link href="misc/style.css" rel="stylesheet" />
	<link href="misc/style.theme.css" rel="stylesheet" />
    <link href="misc/style.button.css" rel="stylesheet" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.js"></script>
    <script src="misc/script.theme.js"></script>
    <script src="misc/script.translation.js"></script>
  </head>
  <body>
    <div id="horizon">
      <div id="content">
        <div class="logo">
          <div class="left"><div class="middle">lucidAuth</div></div><div class="right"></div>
          <div class="sub"><em>Respect</em> the unexpected; mitigate your risks</div>
        </div>
        <div class="main">
          %1$s
        </div>
      </div>
    </div>
  </body>
</html>
FULL;

$pageLayout['full2'] = <<<'FULL2'
<!DOCTYPE html>
<html lang="nl">
  <head>
    <meta charset="utf-8" />
    <title>lucidAuth</title>
	<meta name="application-name" content="lucidAuth" />
	<meta name="theme-color" content="#003399" />
    <link href="misc/style.css" rel="stylesheet" />
   	<link href="misc/style.panes.css" rel="stylesheet" />
    <link href="misc/style.button.css" rel="stylesheet" />
    <link href="misc/style.theme.css" rel="stylesheet" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.js"></script>
    <script src="misc/script.translation.js"></script>
    <script src="misc/script.index.js"></script>
  </head>
  <body>
 	<div class="wrapper">
   	  <section id="theme" class="content">
   	    <div class="columns">
   	      <main class="main">
   	        <header class="header">
   			  <div class="logo">
                <div class="left"><div class="middle">lucidAuth</div></div><div class="right"></div>
                <div class="sub"><em>Respect</em> the unexpected; mitigate your risks</div>
   		      </div>
              %1$s
  	        </header>
            <section>
              %2$s
            </section>
   	      </main>
   	      <aside class="sidebar-first"></aside>
   	      <aside class="sidebar-second"></aside>
   	    </div>
   	  </section>
   	</div>
  </body>
</html>
FULL2;

$pageLayout['bare'] = <<<'BARE'
<!DOCTYPE html>
<html lang="nl">
  <head>
    <meta charset="utf-8" />
    <title>lucidAuth</title>
	<meta name="application-name" content="lucidAuth" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.js"></script>
    <script src="misc/script.iframe.js"></script>
  </head>
  <body>
  	%1$s
  </body>
</html>
BARE;

$contentLayout['login'] = <<<'LOGIN'
		  <script src="misc/script.index.js"></script>
          <section>
            <ul>
              <li class="misc">
                <span class="indent">&nbsp;</span>
              </li>
              <li>
                <label class="pre" for="username" data-translation="label_username">Gebruikersnaam:</label>
                <input type="text" id="username" name="username" tabindex="100" />
                <label for="username">@lucidAuth</label>
              </li>
              <li>
                <label class="pre" for="password" data-translation="label_password">Wachtwoord:</label>
                <input type="password" id="password" name="password" tabindex="200" />
              </li>
              <li>
				<input type="hidden" id="ref" name="ref" value="%1$s" />
				<button id="btnlogin" class="bttn-simple bttn-xs bttn-primary" tabindex="300" data-translation="button_login">login</button>
              </li>
              <li class="misc">
                <span class="indent" data-translation="span_credentialsavailable">Inloggegevens verkrijgbaar op aanvraag!</span>
              </li>
            </ul>
          </section>
          <img src="/images/tag_lock.png" style="position: absolute; top: 175px; left: 20px;" alt="Secure!" />
LOGIN;

$contentLayout['manage']['header'] = <<<'MANAGE_HEADER'
		  <script src="misc/script.editable.table.js"></script>
		  <script src="misc/script.manage.js"></script>
          <span id="user"><span data-translation="span_loggedinas">Ingelogd als</span>&nbsp;%1$s&nbsp;---&nbsp;[<a id="linklanguage-en" href="#" tabindex="700">EN</a>&nbsp;<a id="linklanguage-nl" class="current" href="#" tabindex="700">NL</a>]&nbsp;[<a href="#" tabindex="800" data-translation="link_logout">Log uit</a>]</span>
          <ul style="clear: both; margin-top: 20px;">
            <li class="buttons">
		        <button id="btnnewuser" class="bttn-simple bttn-xs bttn-primary" data-translation="button_new">nieuw</button>
		        <button id="btnfoo" class="bttn-simple bttn-xs bttn-primary" data-translation="button_foo">foo</button>
				<button id="btnbar" class="bttn-simple bttn-xs bttn-primary" data-translation="button_bar">bar</button>
            </li>
            <li class="buttons">
		      <button id="btnsync" class="bttn-simple bttn-xs bttn-primary" data-translation="button_save">opslaan</button>
              <button id="btncancel" class="bttn-simple bttn-xs bttn-primary" data-translation="button_cancel">annuleren</button>
            </li>
          </ul>
MANAGE_HEADER;
$contentLayout['manage']['section'] = <<<'MANAGE_SECTION'
            <ul>
              <li>
                <table id="usertable">
                  <thead>
                    <tr>
                      <th class="immutable">Username</th>
                      <th class="immutable">Role</th>
                      <th class="immutable">Sessions</th>
                    </tr>
                  </thead>
                  <tbody>
                    %1$s
                  </tbody>
                </table>
              </li>
            </ul>
MANAGE_SECTION;

?>